DevExtreme jQuery - Handle the Value Change Event

To process new TagBox values, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.

JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        onValueChanged: function (e) {
            var previousValues = e.previousValue;
            var newValues = e.value;
            // Event handling commands go here
        }
    });
});
NOTE
The previousValue and newValue fields are arrays that contain values taken from the valueExpr data field.

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method.

JavaScript
var valueChangedHandler1 = function (e) {
    var previousValues = e.previousValue;
    var newValues = e.value;
    // First handler of the "valueChanged" event
};

var valueChangedHandler2 = function (e) {
    var previousValues = e.previousValue;
    var newValues = e.value;
    // Second handler of the "valueChanged" event
};

$("#tagBoxContainer").dxTagBox("instance")
    .on('valueChanged', valueChangedHandler1)
    .on('valueChanged', valueChangedHandler2);
See Also

DevExtreme React - Handle the Value Change Event

To process new TagBox values, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.

jQuery
JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        onValueChanged: function (e) {
            const previousValues = e.previousValue;
            const newValues = e.value;
            // Event handling commands go here
        }
    });
});
Angular
HTML
TypeScript
<dx-tag-box ...
    (onValueChanged)="onValueChanged($event)">
</dx-tag-box>
import { DxTagBoxModule } from "devextreme-angular";
// ...
export class AppComponent {
    onValueChanged (e) {
        const previousValue = e.previousValue;
        const newValue = e.value;
        // Event handling commands go here
    }
}
@NgModule({
     imports: [
         // ...
         DxTagBoxModule
     ],
     // ...
 })
Vue
<template>
    <DxTagBox ...
        @value-changed="onValueChanged"
    />
</template>

<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { DxTagBox } from 'devextreme-vue/tag-box';

export default {
    components: {
        DxTagBox
    },
    methods: {
        onValueChanged(e) {
            const previousValues = e.previousValue;
            const newValues = e.value;
            // Event handling commands go here
        }
    }
}
</script>
React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { TagBox } from 'devextreme-react/tag-box';

class App extends React.Component {
    constructor(props) {
        super(props);

        this.onValueChanged = this.onValueChanged.bind(this);
    }

    onValueChanged(e) {
        const previousValues = e.previousValue;
        const newValues = e.value;
        // Event handling commands go here
    }

    render() {
        return (
            <TagBox ...
                onValueChanged={this.onValueChanged}
            />
        );
    }
}

export default App;
NOTE
The previousValue and newValue fields are arrays that contain values taken from the valueExpr data field.

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
const valueChangedHandler1 = function (e) {
    const previousValues = e.previousValue;
    const newValues = e.value;
    // First handler of the "valueChanged" event
};

const valueChangedHandler2 = function (e) {
    const previousValues = e.previousValue;
    const newValues = e.value;
    // Second handler of the "valueChanged" event
};

$("#tagBoxContainer").dxTagBox("instance")
    .on("valueChanged", valueChangedHandler1)
    .on("valueChanged", valueChangedHandler2);
See Also